aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sci-biology/RSeQC/RSeQC-4.0.0-r1.ebuild35
-rw-r--r--sci-biology/RSeQC/RSeQC-4.0.0.ebuild28
2 files changed, 35 insertions, 28 deletions
diff --git a/sci-biology/RSeQC/RSeQC-4.0.0-r1.ebuild b/sci-biology/RSeQC/RSeQC-4.0.0-r1.ebuild
new file mode 100644
index 000000000..4fab4c5e6
--- /dev/null
+++ b/sci-biology/RSeQC/RSeQC-4.0.0-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Utilities for RNA-seq data quality control"
+HOMEPAGE="https://rseqc.sourceforge.net"
+SRC_URI="https://sourceforge.net/projects/rseqc/files/RSeQC-${PV}.tar.gz
+ https://sourceforge.net/projects/rseqc/files/other/fetchChromSizes"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ >=sci-biology/pysam-0.7.5[${PYTHON_USEDEP}]
+ sci-biology/bx-python[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pyBigWig[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+ # avoid file collision with bx-python
+ rm lib/psyco_full.py || die
+}
diff --git a/sci-biology/RSeQC/RSeQC-4.0.0.ebuild b/sci-biology/RSeQC/RSeQC-4.0.0.ebuild
deleted file mode 100644
index 871aa946b..000000000
--- a/sci-biology/RSeQC/RSeQC-4.0.0.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_6 )
-
-inherit distutils-r1
-
-DESCRIPTION="Utilities for RNA-seq data quality control"
-HOMEPAGE="https://rseqc.sourceforge.net"
-SRC_URI="https://sourceforge.net/projects/rseqc/files/RSeQC-${PV}.tar.gz
- https://sourceforge.net/projects/rseqc/files/other/fetchChromSizes"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-DEPEND=">=sci-biology/pysam-0.7.5[${PYTHON_USEDEP}]"
-RDEPEND="${DEPEND}"
-
-# pysam (v0.7.5) was built in RSeQC. The latest version of pysam may not be compatible with RSeQC.
-python_install(){
- distutils-r1_python_install
- rm -r "${D}$(python_get_sitedir)"/pysam
- dobin "${DISTDIR}"/fetchChromSizes
-}